Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.filters
Class ImageFilterPlus

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--com.sun.jimi.core.filters.ImageFilterPlus

Direct Known Subclasses:
  CompositeFilter, Enlarge, Flip, Margin, RGBAllFilter, RGBBlockFilter, ScaleCopy, Tile

public class ImageFilterPlus
extends java.awt.image.ImageFilter

Field Summary
`static java.awt.image.ColorModel` | `rgbModel`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Constructor Summary
`ImageFilterPlus(java.awt.image.ImageProducer producer)`
`ImageFilterPlus(java.awt.image.ImageProducer producer, boolean pixelOrderChanges)`

Method Summary
`static int` | `filterStream(java.io.InputStream in, java.io.OutputStream out, ImageFilterPlus filter)`
`java.awt.image.ImageProducer` | `getSource()`
`void` | `imageComplete(int status)`
`void` | `setHints(int hintflags)`
`void` | `setSource(java.awt.image.ImageProducer producer)`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, resendTopDownLeftRight, setColorModel, setDimensions, setPixels, setPixels, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rgbModel

    public static final java.awt.image.ColorModel rgbModel

Constructor Detail

### ImageFilterPlus

    public ImageFilterPlus(java.awt.image.ImageProducer producer)

### ImageFilterPlus

    public ImageFilterPlus(java.awt.image.ImageProducer producer,
                           boolean pixelOrderChanges)

Method Detail

### getSource

    public java.awt.image.ImageProducer getSource()

### setSource

    public void setSource(java.awt.image.ImageProducer producer)

### setHints

    public void setHints(int hintflags)

  Overrides:
    setHints in class java.awt.image.ImageFilter

### imageComplete

    public void imageComplete(int status)

  Overrides:
    imageComplete in class java.awt.image.ImageFilter

### filterStream

    public static int filterStream(java.io.InputStream in,
                                   java.io.OutputStream out,
                                   ImageFilterPlus filter)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD